%global pypi_name asn1crypto

Name:           python%{python3_pkgversion}-%{pypi_name}
Version:        0.24.0
Release:        1%{?dist}
Summary:        Fast Python ASN.1 parser and serializer

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python(abi) >= 3.4

BuildRequires:  python3-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description
Fast ASN.1 parser and serializer with definitions for private keys, public
keys, certificates, CRL, OCSP, CMS, PKCS#3, PKCS#7, PKCS#8, PKCS#12, PKCS#5,
X.509 and TSP.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Feb 2 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.24.0-1
- Initial package.
